package blanco.junit;

import java.io.File;

import junit.framework.TestCase;
import blanco.uno.launcher.BlancoUnoLauncher;

public class BlancoJUnitJavaClass2DocTest extends TestCase {
    /**
     * 試験対象となっている振るパッケージ名をともなったクラス名を示します。
     */
    private static final String TARGET_NAME = "blanco.junit.BlancoJUnitJavaClass2Doc";

    /**
     * OpenOffice.orgのロードモジュールの所在地。
     */
    private static final String OPENOFFICE_LOADMODULE = "E:\\Program Files\\OpenOffice.org 2.0\\program\\soffice.exe";

    private BlancoUnoLauncher launcher = null;

    protected void setUp() throws Exception {
        super.setUp();

        launcher = new BlancoUnoLauncher();
        launcher.setUnoLauncherOpenofficeLoadmodule(OPENOFFICE_LOADMODULE);
        launcher.start();
    }

    protected void tearDown() throws Exception {
        super.tearDown();

        launcher.ensureStop();
    }

    public void testProcess() throws Exception {
        // メソッドの最初の箇所において、試験対象に関する内容を示します。
        // コンスタントで [試験対象]から開始される場合に、ドキュメントへの連動が行われます。
        final String TARGET = "[試験対象]BlancoJUnitの正常系の挙動についての確認。";

        new BlancoJUnitJavaClass2Doc()
                .process(
                        "blanco.bcel.BlancoBcelJavaClass2XmlTest",
                        new File(
                                "./meta/template/BlancoJUnitJavaClass2DocTemplate.xls"),
                        new File("./tmp/junit/aaa.xls"));

        // コンスタントで [試験]から開始される場合に、ドキュメントへの連動が行われます。
        assertTrue("[試験][正常系]BlancoJUnitの正常系が適切に動作することを確認。", true);

    }
}
